<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no">
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> data-theme="<?php esc_attr(jackryan_theme_mode()); ?>" data-transition="<?php esc_attr(jackryan_theme_transition())?>">
  <?php wp_body_open(); ?>
    <header <?php jackryan_header_class(); ?>>
        <div class="main-header__layout">
          <div class="main-header__logo">
            <div class="logo-dark">
              <?php if (get_theme_mod( 'logo_dark' )): ?>
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                  <img src="<?php echo esc_url( get_theme_mod( 'logo_dark' ) ); ?>" alt="<?php echo esc_attr( bloginfo( 'name' ) ); ?>">
                </a>
              <?php else: ?>
                <div class="ms-logo__default">
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <h3><?php bloginfo( 'name' ); ?></h3>
                  </a>
                </div>
              <?php endif; ?>
            </div>
            <div class="logo-light">
            <?php if (get_theme_mod( 'logo_light' )): ?>
              <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <img src="<?php echo esc_url( get_theme_mod( 'logo_light' ) ); ?>" alt="<?php echo esc_attr( bloginfo( 'name' ) ); ?>">
              </a>
            <?php else: ?>
              <div class="ms-logo__default">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                  <h3><?php bloginfo( 'name' ); ?></h3>
                </a>
              </div>
            <?php endif; ?>
            </div>
          </div>
          <button class="btn btn--subtle main-header__nav-trigger js-main-header__nav-trigger" aria-label="Toggle menu" aria-expanded="false" aria-controls="main-header-nav">
            <i class="main-header__nav-trigger-icon" aria-hidden="true"></i>
            <span><?php esc_html_e('Menu', 'jackryan'); ?></span>
          </button>
          <nav class="main-header__nav js-main-header__nav" id="main-header-nav" aria-labelledby="primary-menu">
            <?php get_template_part( 'template-parts/header/default', get_post_format() ); ?>
          </nav>
        </div> 
    </header>